crashpad::ElfSymbolTableReader Class Reference

A reader for symbol tables in ELF images mapped into another process. More...

`#include "snapshot/elf/elf_symbol_table_reader.h"`

## Classes

struct | SymbolInformation
| Information about a symbol in a module's symbol table. More...

## Public Member Functions

| ElfSymbolTableReader (const ProcessMemoryRange *memory, ElfImageReader *elf_reader, VMAddress address, VMSize num_entries)
bool | GetSymbol (const std::string &name, SymbolInformation *info)
| Lookup information about a symbol. More...

## Detailed Description

A reader for symbol tables in ELF images mapped into another process.

## Member Function Documentation

## GetSymbol()

bool crashpad::ElfSymbolTableReader::GetSymbol | ( | const std::string & | name,
|  | SymbolInformation * | info
| ) |  |

Lookup information about a symbol.

Parameters

  [in] | name | The name of the symbol to search for.
  [out] | info | The symbol information, if found.

Returns
  `true` if the symbol is found.

The documentation for this class was generated from the following files:

- snapshot/elf/elf_symbol_table_reader.h
- snapshot/elf/elf_symbol_table_reader.cc